﻿Option Strict On
Imports System.Windows.Media.Imaging
Imports System.Xml.Linq
Partial Public Class ButtonSilverlightControl
    Inherits UserControl

    Public Sub New()
        InitializeComponent()
    End Sub

    Dim myImageList As New List(Of String)
    Dim no As Integer = 0
    Dim query As IEnumerable(Of XElement)
    Dim ImageCount As Integer = 0

    Private Sub ButtonSilverlightControl_Loaded(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles Me.Loaded
        Dim xmldoc As XElement = XElement.Load("Photo.xml")
        query = From c In xmldoc.Descendants("画像名") Select c
        ImageCount = query.Count
        For Each result In query
            myImageList.Add(result.Value)
        Next
        ImageShowArea.Image1.Opacity = 1
        ImageShowArea.Image1.Source = New BitmapImage(New Uri("Image/" & myImageList(0), UriKind.Relative))
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles Button2.Click
        Button1.Content = "<"
        no = Math.Min(no + 1, ImageCount - 1)
        TransitionImageShow()

        Button2.Content = no + 1 & "/" & ImageCount
    End Sub

    Private Sub Button1_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles Button1.Click
        Button2.Content = ">"
        no = Math.Max(no - 1, 0)

        TransitionImageShow()
        Button1.Content = no + 1 & "/" & ImageCount
    End Sub

    Private Sub TransitionImageShow()
        If ImageShowArea.VisualStateGroup.CurrentState Is Nothing = False AndAlso ImageShowArea.VisualStateGroup.CurrentState.Name.ToString = "ImageTransitionShow2" Then
            VisualStateManager.GoToState(ImageShowArea, "ImageTransitionShow", True)
        Else
            VisualStateManager.GoToState(ImageShowArea, "ImageTransitionShow2", True)
        End If
        ImageShowArea.Image1.Source = New BitmapImage(New Uri("Image/" & myImageList(no), UriKind.Relative))
    End Sub
End Class

